#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './SoundFiltersDialog.ui'
**
** Created: Mon Dec 26 19:53:40 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "SoundFiltersDialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <knuminput.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "knuminput.h"

/*
 *  Constructs a SoundFiltersDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SoundFiltersDialog::SoundFiltersDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SoundFiltersDialog" );
    setSizeGripEnabled( FALSE );
    setModal( TRUE );
    SoundFiltersDialogLayout = new QGridLayout( this, 1, 1, 11, 6, "SoundFiltersDialogLayout"); 
    SoundFiltersDialogLayout->setResizeMode( QLayout::Fixed );
    Horizontal_Spacing2 = new QSpacerItem( 240, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    SoundFiltersDialogLayout->addItem( Horizontal_Spacing2, 2, 0 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );

    SoundFiltersDialogLayout->addWidget( buttonOk, 2, 1 );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );

    SoundFiltersDialogLayout->addWidget( buttonCancel, 2, 2 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    textLabel2 = new QLabel( groupBox2, "textLabel2" );

    groupBox2Layout->addWidget( textLabel2, 0, 0 );
    spacer3 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox2Layout->addItem( spacer3, 1, 1 );

    FIAFComboBox = new QComboBox( FALSE, groupBox2, "FIAFComboBox" );
    FIAFComboBox->setMinimumSize( QSize( 290, 0 ) );

    groupBox2Layout->addWidget( FIAFComboBox, 1, 0 );

    SoundFiltersDialogLayout->addMultiCellWidget( groupBox2, 1, 1, 0, 2 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    ExStereoKDoubleSpinBox = new KDoubleSpinBox( groupBox1, "ExStereoKDoubleSpinBox" );
    ExStereoKDoubleSpinBox->setEnabled( FALSE );
    ExStereoKDoubleSpinBox->setMaxValue( 100 );
    ExStereoKDoubleSpinBox->setLineStep( 5 );
    ExStereoKDoubleSpinBox->setValue( 25 );
    ExStereoKDoubleSpinBox->setAcceptLocalizedNumbers( FALSE );
    ExStereoKDoubleSpinBox->setPrecision( 2 );

    groupBox1Layout->addWidget( ExStereoKDoubleSpinBox, 0, 1 );

    ExStereoCheckBox = new QCheckBox( groupBox1, "ExStereoCheckBox" );

    groupBox1Layout->addWidget( ExStereoCheckBox, 0, 0 );

    NormalizeCheckBox = new QCheckBox( groupBox1, "NormalizeCheckBox" );

    groupBox1Layout->addWidget( NormalizeCheckBox, 1, 0 );
    spacer2 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer2, 0, 2 );

    SoundFiltersDialogLayout->addMultiCellWidget( groupBox1, 0, 0, 0, 2 );
    languageChange();
    resize( QSize(399, 224).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( ExStereoCheckBox, SIGNAL( stateChanged(int) ), this, SLOT( ExStereoCheck() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SoundFiltersDialog::~SoundFiltersDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SoundFiltersDialog::languageChange()
{
    setCaption( tr2i18n( "Sound filters" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    groupBox2->setTitle( tr2i18n( "Advanced options" ) );
    textLabel2->setText( tr2i18n( "Force the insertion of audio filters:" ) );
    FIAFComboBox->clear();
    FIAFComboBox->insertItem( tr2i18n( "Completely automatic filter insertion (default)" ) );
    FIAFComboBox->insertItem( tr2i18n( "Optimize for accuracy" ) );
    FIAFComboBox->insertItem( tr2i18n( "Optimize for speed" ) );
    FIAFComboBox->insertItem( tr2i18n( "Turn off automatic filter insertion" ) );
    groupBox1->setTitle( tr2i18n( "General options" ) );
    ExStereoCheckBox->setText( tr2i18n( "Extra stereo:" ) );
    QToolTip::add( ExStereoCheckBox, tr2i18n( "Increases the difference between left and right channels to add some sort of \"live\" effect to playback." ) );
    NormalizeCheckBox->setText( tr2i18n( "Normalize" ) );
    QToolTip::add( NormalizeCheckBox, tr2i18n( "Maximizes the volume without distorting the sound." ) );
}

void SoundFiltersDialog::ExStereoCheck()
{
    qWarning( "SoundFiltersDialog::ExStereoCheck(): Not implemented yet" );
}

#include "SoundFiltersDialog.moc"
