#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './PreviewForm.ui'
**
** Created: Mon Dec 26 19:53:40 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "PreviewForm.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a PreviewForm as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
PreviewForm::PreviewForm( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "PreviewForm" );
    setModal( TRUE );
    PreviewFormLayout = new QGridLayout( this, 1, 1, 11, 6, "PreviewFormLayout"); 

    previewLayoutBox = new QFrame( this, "previewLayoutBox" );
    previewLayoutBox->setFrameShape( QFrame::StyledPanel );
    previewLayoutBox->setFrameShadow( QFrame::Raised );

    groupBox2 = new QGroupBox( previewLayoutBox, "groupBox2" );
    groupBox2->setGeometry( QRect( 11, 11, 292, 517 ) );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    orPreviewFrame = new QFrame( groupBox2, "orPreviewFrame" );
    orPreviewFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, orPreviewFrame->sizePolicy().hasHeightForWidth() ) );
    orPreviewFrame->setMinimumSize( QSize( 20, 100 ) );
    orPreviewFrame->setFrameShape( QFrame::StyledPanel );
    orPreviewFrame->setFrameShadow( QFrame::Raised );
    orPreviewFrame->setLineWidth( 0 );

    groupBox2Layout->addWidget( orPreviewFrame, 0, 0 );

    groupBox3 = new QGroupBox( previewLayoutBox, "groupBox3" );
    groupBox3->setGeometry( QRect( 309, 11, 292, 517 ) );
    groupBox3->setLineWidth( 1 );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    convPreviewFrame = new QFrame( groupBox3, "convPreviewFrame" );
    convPreviewFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, convPreviewFrame->sizePolicy().hasHeightForWidth() ) );
    convPreviewFrame->setMinimumSize( QSize( 20, 100 ) );
    convPreviewFrame->setFrameShape( QFrame::StyledPanel );
    convPreviewFrame->setFrameShadow( QFrame::Raised );
    convPreviewFrame->setLineWidth( 0 );

    groupBox3Layout->addWidget( convPreviewFrame, 0, 0 );

    PreviewFormLayout->addWidget( previewLayoutBox, 0, 0 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel2_2 = new QLabel( this, "textLabel2_2" );
    layout2->addWidget( textLabel2_2 );

    secsToGrabSpinBox = new QSpinBox( this, "secsToGrabSpinBox" );
    secsToGrabSpinBox->setMaxValue( 300 );
    secsToGrabSpinBox->setMinValue( 5 );
    secsToGrabSpinBox->setValue( 10 );
    layout2->addWidget( secsToGrabSpinBox );
    spacer7_2 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer7_2 );

    PlayButton = new QPushButton( this, "PlayButton" );
    layout2->addWidget( PlayButton );
    spacer16 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer16 );

    StopButton = new QPushButton( this, "StopButton" );
    layout2->addWidget( StopButton );
    spacer5_2 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer5_2 );

    HVLComboBox = new QComboBox( FALSE, this, "HVLComboBox" );
    layout2->addWidget( HVLComboBox );
    spacer5 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer5 );

    ChnageSecToGrabButton = new QPushButton( this, "ChnageSecToGrabButton" );
    layout2->addWidget( ChnageSecToGrabButton );
    spacer4 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer4 );

    CloseButton = new QPushButton( this, "CloseButton" );
    layout2->addWidget( CloseButton );

    PreviewFormLayout->addLayout( layout2, 1, 0 );
    languageChange();
    resize( QSize(634, 597).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( PlayButton, SIGNAL( released() ), this, SLOT( PlayBoth() ) );
    connect( ChnageSecToGrabButton, SIGNAL( released() ), this, SLOT( ChangeSecToGrab() ) );
    connect( HVLComboBox, SIGNAL( activated(const QString&) ), this, SLOT( ChangeLayout() ) );
    connect( CloseButton, SIGNAL( released() ), this, SLOT( ClosePreview() ) );
    connect( StopButton, SIGNAL( pressed() ), this, SLOT( StopBoth() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PreviewForm::~PreviewForm()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PreviewForm::languageChange()
{
    setCaption( tr2i18n( "Preview" ) );
    groupBox2->setTitle( tr2i18n( "Original Movie" ) );
    groupBox3->setTitle( tr2i18n( "Converted Movie" ) );
    textLabel2_2->setText( tr2i18n( "Seconds to grab:" ) );
    PlayButton->setText( tr2i18n( "&Play" ) );
    PlayButton->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    StopButton->setText( tr2i18n( "&Stop" ) );
    StopButton->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    HVLComboBox->clear();
    HVLComboBox->insertItem( tr2i18n( "Horizontal" ) );
    HVLComboBox->insertItem( tr2i18n( "Vertical" ) );
    ChnageSecToGrabButton->setText( tr2i18n( "C&hange" ) );
    ChnageSecToGrabButton->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    CloseButton->setText( tr2i18n( "&Close" ) );
    CloseButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
}

void PreviewForm::PlayBoth()
{
    qWarning( "PreviewForm::PlayBoth(): Not implemented yet" );
}

void PreviewForm::ChangeSecToGrab()
{
    qWarning( "PreviewForm::ChangeSecToGrab(): Not implemented yet" );
}

void PreviewForm::ChangeLayout()
{
    qWarning( "PreviewForm::ChangeLayout(): Not implemented yet" );
}

void PreviewForm::StopBoth()
{
    qWarning( "PreviewForm::StopBoth(): Not implemented yet" );
}

void PreviewForm::ClosePreview()
{
    qWarning( "PreviewForm::ClosePreview(): Not implemented yet" );
}

#include "PreviewForm.moc"
